Class | BasicsModule
In: | lib/rbot/core/basics.rb
Parent: | CoreBotModule

Author: | Giuseppe "Oblomov" Bilotta <giuseppe.bilotta@gmail.com>

### Methods

bot_action bot_help bot_hide bot_join bot_mode bot_part bot_ping bot_quiet bot_quit bot_restart bot_say bot_talk connect ctcp_listen help identified invite join_channels

### Public Instance methods

bot_action(m, param)
bot_help(m, param)
bot_hide(m, param)
bot_join(m, param)
bot_mode(m, param)
bot_part(m, param)
bot_ping(m, param)
bot_quiet(m, param)
bot_quit(m, param)
bot_restart(m, param)
bot_say(m, param)
bot_talk(m, param)
connect()

on connect, we join the default channels unless we have to wait for identification. Observe that this means the bot may not connect any channels until the ‘identified’ method gets delegated

ctcp_listen(m)
help(cmd, topic="")

handle help requests for "core" topics

identified()
invite(m)
join_channels()

[Validate]